org.eclipse.modisco.kdm.uml2converter

## Class DiscoverUmlModelFromKdmModel

- java.lang.Object
- - org.eclipse.modisco.infra.discovery.core.AbstractDiscoverer<T>
  - - org.eclipse.modisco.infra.discovery.core.AbstractModelDiscoverer<IFile>
    - - org.eclipse.modisco.kdm.uml2converter.DiscoverUmlModelFromKdmModel

All Implemented Interfaces:
  IDiscoverer<IFile>

    public class DiscoverUmlModelFromKdmModel
    extends AbstractModelDiscoverer<IFile>

Author:
  Gabriel Barbier

### Constructor Summary

Constructors
Constructor and Description
`DiscoverUmlModelFromKdmModel()`

### Method Summary

All Methods Instance Methods Concrete Methods
`boolean` `isApplicableTo(IFile file)` To determine if the source object can be handled by the discoverer.
`void` `setCustomTransformation(IFile file)`

### Methods inherited from class org.eclipse.modisco.infra.discovery.core.AbstractModelDiscoverer

`discoverElement, getDefaultTargetURI, getTargetModel, getTargetURI, setSerializeTarget, setTargetModel, setTargetURI`

### Methods inherited from class org.eclipse.modisco.infra.discovery.core.AbstractDiscoverer

`isAFolder, isAJavaProject, isAnIFileWithExtension, isAProject, setRefreshSourceBeforeDiscovery`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### DiscoverUmlModelFromKdmModel

    public DiscoverUmlModelFromKdmModel()

### Method Detail

#### setCustomTransformation

    @Parameter(name="CUSTOM_TRANSFORMATION",
               description="A .asm file (compiled by ATL) containing a custom transformation to use instead of the default KDM to UML transformation.")
    public void setCustomTransformation(IFile file)

#### isApplicableTo

    public boolean isApplicableTo(IFile file)

Description copied from interface: `IDiscoverer`
To determine if the source object can be handled by the discoverer. Each discoverer has to implement this method with its own criteria to filter the selected object.

Some usual implementations are proposed on `AbstractDiscoverer`.

Parameters:
  `file` - the selected object.
Returns:
  `true` if the selected object is managed by this discoverer, `false` otherwise.